<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{statisticModel.functionBean.name}" />
		</ui:define>
		<ui:define name="body">
			<p:staticMessage severity="info" summary="#{facesContext.translate('label.hint')}" detail="#{facesContext.translate('hint.statistic.view', statisticModel.functionBean.name)}"
				rendered="#{profile.hasPrivilege('statisticadmin') or statisticModel.canRead(facesContext)}" />
			<p:panelGrid columns="2" rendered="#{profile.hasPrivilege('statisticadmin') or statisticModel.canRead(facesContext)}">
				<h:outputText value="#{facesContext.translate('label.statistic.functionname')}" />
				<h:outputText value="#{statisticModel.functionBean.name}" />
				<h:outputText value="#{facesContext.translate('label.vignette')}" />
				<p:link value="#{statisticModel.functionBean.vignette}" href="#{statisticModel.functionBean.vignette}" target="#" />
				<h:outputText value="#{facesContext.translate('label.statistic.summary')}" />
				<h:outputText value="#{statisticModel.functionBean.summary}" />
				<h:outputText value="#{facesContext.translate('label.statistic.description')}" />
				<h:outputText value="#{statisticModel.functionBean.description}" />
				<h:outputText value="#{facesContext.translate('label.statistic.category')}" />
				<h:dataTable value="#{statisticModel.functionBean.category}" var="cat">
					<h:column>
						<h:outputText value="#{cat.name}" title="#{cat.description}" styleClass="squarebadge" />
					</h:column>
				</h:dataTable>
				<h:outputText value="#{facesContext.translate('label.statistic.scaleniveau')}" />
				<ui:repeat value="#{statisticModel.functionBean.scales}" var="scale">
					<h:outputText value="#{scale.name}" styleClass="squarebadge" rendered="#{scale.checked}" />
				</ui:repeat>
				<h:outputText value="" />
				<h:panelGrid columns="1">
					<h:outputText value="#{facesContext.translate('label.statistic.varlist.true')}" rendered="#{statisticModel.functionBean.varlist == 'true'}" />
					<h:outputText value="#{facesContext.translate('label.statistic.varlist.false')}" rendered="#{statisticModel.functionBean.varlist == 'false'}" />
					<h:outputText value="#{facesContext.translate('label.statistic.varlist.null')}" rendered="#{statisticModel.functionBean.varlist == 'empty'}" />
				</h:panelGrid>
				<h:outputText value="#{facesContext.translate('label.statistic.varname')}" />
				<h:outputText value="#{statisticModel.functionBean.varname}" />
				<h:outputText value="#{facesContext.translate('label.statistic.dataframe')}" />
				<h:outputText value="#{statisticModel.functionBean.dataframe}" />
				<h:outputText value="#{facesContext.translate('label.statistic.vardef')}" />
				<h:outputText value="#{statisticModel.functionBean.vardef}" />
				<h:outputText value="#{facesContext.translate('label.statistic.datasource')}" />
				<h:outputText value="#{facesContext.translate('enum.datasource.'.concat(statisticModel.functionBean.datasource))}" />
				<h:outputText value="" />
				<h:panelGrid columns="1">
					<h:outputText value="#{facesContext.translate('label.statistic.useintervals')}" rendered="#{statisticModel.functionBean.useIntervals}" />
					<h:outputText value="#{facesContext.translate('label.statistic.dontuseintervals')}" rendered="#{!statisticModel.functionBean.useIntervals}" />
				</h:panelGrid>
				<h:outputText value="#{facesContext.translate('label.statistic.input')}" />
				<p:dataTable value="#{statisticModel.functionBean.input}" var="i">
					<p:column headerText="#{facesContext.translate('label.statistic.inputname')}">
						<h:outputText value="#{i.name}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.statistic.inputusage')}">
						<h:outputText value="#{i.fkType.translation}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.statistic.inputstandard')}">
						<h:outputText value="#{i.standard}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.statistic.description')}">
						<h:outputText value="#{i.description}" />
					</p:column>
				</p:dataTable>
				<h:outputText value="#{facesContext.translate('label.statistic.output')}" />
				<p:dataTable value="#{statisticModel.functionBean.output}" var="o">
					<p:column headerText="#{facesContext.translate('label.statistic.outputname')}">
						<h:outputText value="#{o.name}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.statistic.outputusage')}">
						<h:outputText value="#{o.name} (#{o.description})" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.statistic.description')}">
						<h:outputText value="#{o.description}" />
					</p:column>
				</p:dataTable>
				<h:outputText value="#{facesContext.translate('label.statistic.reference')}" />
				<p:dataTable value="#{statisticModel.functionBean.reference}" var="r">
					<p:column headerText="#{facesContext.translate('label.statistic.functionname')}">
						<h:outputText value="#{r.name}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.statistic.summary')}">
						<ship:outputTextToggler value="#{r.summary}">
							<h:outputText value="#{r.description}" />
						</ship:outputTextToggler>
					</p:column>
				</p:dataTable>
				<h:outputText value="#{facesContext.translate('label.statistic.functiontest')}" />
				<ship:outputCode value="#{statisticModel.functionBean.test}" />
				<h:outputText value="#{facesContext.translate('label.statistic.full')}" />
				<ship:outputCode value="#{statisticModel.functionBean.forR}" />
			</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_deactivate" action="#{statisticController.doDeactivateFunction}" value="#{facesContext.translate('button.deactivate')}"
				rendered="#{profile.hasPrivilege('statisticadmin')}" disabled="#{!statisticModel.functionBean.activated}" ajax="false" />
			<p:commandButton id="btn_cancel" action="#{statisticController.toWelcome}" value="#{facesContext.translate('button.overview')}" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>